using Microsoft.EntityFrameworkCore;
using AcaMate.V1.Models;
using Version = AcaMate.V1.Models.Version;

namespace AcaMate.Common.Data;
//database=AcaMate;
public class AppDbContext: DbContext
{
    public AppDbContext(DbContextOptions<AppDbContext> options) : base(options)
    {
    }
    
    //MARK: Program
    public DbSet<Version> Version { get; set; }
    public DbSet<Academy> Academy { get; set; }
    
    //MARK: USER
    public DbSet<Login> Login { get; set; }
    public DbSet<User_Academy> UserAcademy { get; set; }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Entity<User_Academy>()
            .HasKey(ua => new { ua.uid, ua.bid });
    }
}